/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing DisciplineApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class DisciplineApiTests : IDisposable
    {
        private DisciplineApi instance;

        public DisciplineApiTests()
        {
            instance = new DisciplineApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of DisciplineApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' DisciplineApi
            //Assert.IsType<DisciplineApi>(instance);
        }

        /// <summary>
        /// Test ApiV2DisciplinesOptions
        /// </summary>
        [Fact]
        public void ApiV2DisciplinesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2DisciplinesOptions();
        }

        /// <summary>
        /// Test GetDiscipline
        /// </summary>
        [Fact]
        public void GetDisciplineTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid disciplineId = null;
            //var response = instance.GetDiscipline(disciplineId);
            //Assert.IsType<DisciplineDtoResponse>(response);
        }

        /// <summary>
        /// Test GetDisciplines
        /// </summary>
        [Fact]
        public void GetDisciplinesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetDisciplines(pageNumber, pageSize, orderBy);
            //Assert.IsType<DisciplineDtoPagedResponse>(response);
        }
    }
}
